summaryrefslogtreecommitdiffstats
path: root/lensfun
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-06-14 12:04:02 +0000
committer Eric Hameleers <alien@slackware.com>2010-06-14 12:04:02 +0000
commit9ff9eb391b0f9b00fb18b8934542eecd3a33d1af (patch)
treebd478ea3b8a68c49fa0f7d522ab8f71c23391da5 /lensfun
parent7688f428c1c64aa7c8df6584b5ade0b2fdabb2df (diff)
downloadasb-9ff9eb391b0f9b00fb18b8934542eecd3a33d1af.tar.gz
asb-9ff9eb391b0f9b00fb18b8934542eecd3a33d1af.tar.xz
Updated to 0.2.5
Diffstat (limited to 'lensfun')
-rwxr-xr-xlensfun/build/lensfun.SlackBuild54
1 files changed, 31 insertions, 23 deletions
diff --git a/lensfun/build/lensfun.SlackBuild b/lensfun/build/lensfun.SlackBuild
index af8a4e0a..6e32fe9c 100755
--- a/lensfun/build/lensfun.SlackBuild
+++ b/lensfun/build/lensfun.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2009, 2010 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,6 +32,8 @@
# Changelog:
# 0.2.3-1: 22/May/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 0.2.5-1: 14/jun/2010 by Eric Hameleers <alien@slackware.com>
+# * Long overdue update.
#
# Run 'sh lensfun.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -42,13 +44,12 @@
# Set initial variables:
PRGNAM=lensfun
-VERSION=${VERSION:-0.2.3}
-ARCH=${ARCH:-i486}
+VERSION=${VERSION:-0.2.5}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
-DOCS="README"
+DOCS="README docs/gpl-3.0.txt"
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
@@ -65,31 +66,39 @@ SRCURL="http://download.berlios.de/${PRGNAM}/${PRGNAM}-${VERSION}.tar.bz2"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ *) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -134,7 +143,7 @@ echo "Extracting the source archive(s) for $PRGNAM..."
tar -xvf ${SOURCE}
cd ${PRGNAM}-${VERSION}
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a+X-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
@@ -153,11 +162,7 @@ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-cat $SRCDIR/$(basename $0) | sed \
- -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
- -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
- -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
- > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
@@ -177,3 +182,6 @@ md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+# Restore the original umask:
+umask ${_UMASK_}
+